# $Revision: 1.12 $, $Date: 2010/06/04 06:29:07 $
Summary:	Control paper size in applications
Summary(pl.UTF-8):	Zarządzanie rozmiarem papieru w aplikacjach
Name:		libpaper
Version:	1.1.24
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://ftp.debian.org/debian/pool/main/libp/libpaper/%{name}_%{version}.tar.gz
# Source0-md5:	5bc87d494ba470aba54f6d2d51471834
URL:		http://packages.debian.org/unstable/source/libpaper
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.316
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libpaper and accompanying files are intended to provide a simple way
for applications to take actions based on a system- or user-specified
paper size.

%description -l pl.UTF-8
libpaper wraz z towarzyszącymi plikami pozwalają aplikacjom w prosty
sposób podejmować akcje oparte na określonym przez system lub
użytkownika rozmiarze papieru.

%package devel
Summary:	Header files for libpaper library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libpaper
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libpaper library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libpaper.

%package static
Summary:	Static libpaper library
Summary(pl.UTF-8):	Statyczna biblioteka libpaper
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libpaper library.

%description static -l pl.UTF-8
Statyczna biblioteka libpaper.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/env.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo 'a4' > $RPM_BUILD_ROOT%{_sysconfdir}/papersize
echo '#PAPERSIZE=a4' > $RPM_BUILD_ROOT/etc/env.d/PAPERSIZE

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%env_update

%postun
/sbin/ldconfig
%env_update

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/*
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/papersize
%attr(755,root,root) %{_bindir}/paperconf
%attr(755,root,root) %{_sbindir}/paperconfig
%attr(755,root,root) %{_libdir}/libpaper.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpaper.so.?
%{_mandir}/man1/paperconf.1*
%{_mandir}/man5/papersize.5*
%{_mandir}/man8/paperconfig.8*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libpaper.so
%{_libdir}/libpaper.la
%{_includedir}/paper.h
%{_mandir}/man3/*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libpaper.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpaper.spec,v $
Revision 1.12  2010/06/04 06:29:07  glen
- adapter

Revision 1.11  2010/04/26 07:45:15  lisu
- 1.1.24

Revision 1.10  2008/07/05 15:49:34  shadzik
- don't attr() symlinks

Revision 1.9  2008/07/05 15:48:30  shadzik
- ghost symlink

Revision 1.8  2007-10-08 17:41:02  lisu
- 1.1.23

Revision 1.7  2007/08/12 20:07:30  lisu
- 1.1.22

Revision 1.6  2007/07/06 23:23:40  qboosh
- env_update needs shell
- more verbose files, man3 pages moved to -devel

Revision 1.5  2007/07/05 08:00:41  gotar
- fixed env.d file

Revision 1.4  2007/07/04 22:47:18  darekr
- env_update needs macros 1.316

Revision 1.3  2007/07/04 22:22:50  gotar
- added config file and env.d setup

Revision 1.2  2007/07/04 10:18:04  lisu
- tabs

Revision 1.1  2007/07/04 10:16:28  lisu
- new
